package eu.maiora.plugins

import eu.maiora.model.AccountsRepositoryImpl
import eu.maiora.model.ViewEcommercePrezSconDispRepositoryImpl
import eu.maiora.model.ViewEcommerceValoreUsatoRepository
import eu.maiora.model.ViewEcommerceValoreUsatoRepositoryImpl
import eu.maiora.routes.auth
import eu.maiora.routes.prezziScontiMagazzino
import io.ktor.server.application.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Application.configureRouting() {
    routing {
        get("/") {
            call.respondText("Hello World!")
        }

        auth(AccountsRepositoryImpl())
        prezziScontiMagazzino(ViewEcommerceValoreUsatoRepositoryImpl(), ViewEcommercePrezSconDispRepositoryImpl())
    }
}
